Skip to main content
GET
/
component_blueprints
/
{key}
Get Component Blueprint
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "description": "<string>",
  "display_name": "<string>",
  "expressions": [
    {
      "inputs": [
        {
          "input_key": "<string>",
          "template_key": "<string>"
        }
      ],
      "key": "<string>",
      "template": "<string>"
    }
  ],
  "inputs": [
    {
      "compatible_unit": "<string>",
      "description": "<string>",
      "input_key": "<string>"
    }
  ],
  "key": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

key
string
required

Response

Successful Response

description
string
required
display_name
string
required
expressions
ComponentBlueprintExpression · object[]
required

This field is exposed purely for documentation purposes. It shows how the inputs are processed to arrive at the component's output value.

inputs
ComponentBlueprintInput · object[]
required

List of inputs to the component blueprint. It documents what datapoints need to be provided when instantiating a component from it.

key
string
required
type
enum<string>
required
Available options:
ACTIVITY,
REMOVAL_COUNTERFACTUAL,
SEQUESTRATION,
LOSS,
ADJUSTMENT,
UNCERTAINTY_DISCOUNT